repo/gentoo:master commit in: dev-python/librt/
MichaŠGórny <[email protected]>
| Newsgroups | gmane.linux.gentoo.cvs |
|---|---|
| Message-ID | <1786069739.9b93649863cbcff77248158330103d236ff4bc25.mgorny@gentoo> |
commit: 9b93649863cbcff77248158330103d236ff4bc25
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Aug 7 01:58:28 2026 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Aug 7 02:28:59 2026 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9b936498
dev-python/librt: Bump to 0.14.0
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/librt/Manifest | 2 ++
dev-python/librt/librt-0.14.0.ebuild | 40 ++++++++++++++++++++++++++++++++++++
2 files changed, 42 insertions(+)
diff --git a/dev-python/librt/Manifest b/dev-python/librt/Manifest
index 9870ca9e94e0..b8bc0f7d5a60 100644
--- a/dev-python/librt/Manifest
+++ b/dev-python/librt/Manifest
@@ -2,3 +2,5 @@ DIST librt-0.12.0.tar.gz 203841 BLAKE2B ecffe50e4d5bb0ecc6e3b040dd22a4229a2ba38b
DIST librt-0.12.0.tar.gz.provenance 9823 BLAKE2B 4285b4401f1b2c47cfb412ad0c9ec35445e215f979fa998cfc1ff86788e22a9da4d5a2107f684064377cdee291f4bbbd8022771de4c949a7481966df7748e23f SHA512 e4a36d16fb9378e499426e74fac3b2cf18af2f8b95aac1bb6182a49b40783d9534095369d2bb827238947c44034334c53a0058de345966df77cccacd1471019d
DIST librt-0.13.0.tar.gz 211402 BLAKE2B 765dad1880048eee8884b87623f664f8b641f418dbb5c3a4e9906cae9f1f0827d67259016e7391b311c1bc6213dbdce8d9f8b3d377a0118210873a2492f1fc62 SHA512 c86e17b5a06193b7e937b0a496adbecb0a76c2ccc0d58a833050e5d47c748f0677356befdc315e90b81e015e83c0418d2e5782c3061e64acfd061f6f80d91e97
DIST librt-0.13.0.tar.gz.provenance 9729 BLAKE2B b6e38cf63e41464b44a0ec3b1264c95d43e4870becbaf0cfd9340e67572f52c2ab326a93dc772b06865dfe2097a9ccdc58f6ddf0a846df2d2f56cbbf1ef721e9 SHA512 51132f126419e1d690390ddc44583eb82de0475a47a86b6af09ea643c63d4028be7ad35f92b55e7d43e9daa8d302b032c7c1d2529a59329166df3f8bf118305f
+DIST librt-0.14.0.tar.gz 214292 BLAKE2B e14d9bc61647011dda30130421fae92d2f8b5821e9eb15980ce5e4778bda733189d15f695c69539bccb513fdfe79abfb66953c169ffcb7021ecbcfa97140997c SHA512 b14202afcc4a318351433333e377673b6f89b2765f589d31a526bc4a73b0b9537ba5c539ecff745d0f57c4f731cbb354e8bc15ba5f0818d0b52d3231cec8db96
+DIST librt-0.14.0.tar.gz.provenance 9639 BLAKE2B d7f2f1dbe90069beb1fc1338768f98c00a4741f7cd0bc43fbe056af3ea4a43c4cecc8f4615a166f125d17eca76a467381ab039c512b6393409ecf066b3c171ab SHA512 7ed201604903030181d56629f9d98fe58aa22112cd15577728869049171c72501e8e8ed9db6323111df4df2f1f496edba2a65c137416b067b454ba56c0044b59
diff --git a/dev-python/librt/librt-0.14.0.ebuild b/dev-python/librt/librt-0.14.0.ebuild
new file mode 100644
index 000000000000..cfbd17eae668
--- /dev/null
+++ b/dev-python/librt/librt-0.14.0.ebuild
@@ -0,0 +1,40 @@
+# Copyright 2025-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYPI_VERIFY_REPO=https://github.com/mypyc/librt
+PYTHON_COMPAT=( python3_{12..15} python3_{14..15}t )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Mypyc runtime library"
+HOMEPAGE="
+ https://github.com/mypyc/librt/
+ https://pypi.org/project/librt/
+"
+
+LICENSE="MIT PSF-2.4"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~m68k ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+BDEPEND="
+ test? (
+ dev-python/mypy-extensions[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+python_compile() {
+ # setuptools is broken for C extensions, bug #907718, bug #967476 etc.
+ distutils-r1_python_compile -j1
+}
+
+python_test() {
+ rm -rf librt || die
+ epytest smoke_tests.py
+}